devscripts (2.23.7ubuntu0.2) noble; urgency=medium

  [ Jeremy Bícha ]
  * rmadison: update Ubuntu URL since people.canonical.com is being
    decomissioned (LP: #2142712)

  [ Paride Legovini ]
  * rmadison: update Ubuntu URL in docs

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Wed, 25 Feb 2026 16:32:10 -0600

devscripts (2.23.7ubuntu0.1) noble; urgency=medium

  * Fix Perl warnings in chdist and debcheckout (LP: #2061609)
    + chdist: fix Perl warnings about given/when
      - 1790cf66b5dad4d969a1843ffae7a03016211084
    + debcheckout: Stop using given/when since it is deprecated
      - 30241faf80f6fbd32cfe3291520db6c15ddfa9a5
  * Fix FTBFS
    + Switch from "setup.py test" to "unittest discover"
      - 03cc78f1e9fe23fa9f3bcaf91ca7165120bb1038
    + scripts/reproducible-check: make black happy
      - 315ea294532100ea20ab4e6ac9d955ddf648a4d0

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jan 2026 19:02:00 -0500

devscripts (2.23.7) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debsign: Override the gpg2 default to update trustdb at what may be an
    inconvenient time, because an up-to-date trustdb is not needed for this
    operation (Closes: Bug#1050387)

  [ Niels Thykier ]
  * wrap-and-sort:
    + Add a --no-keep-first option
    + Make --keep-first the default
    + Support wrap-and-sort'ing d/control.in template files
    + Cope better with deb822 parse errors
  * README:
    + Remove obsolete section about setuid wrappers
    + Remove `fakeroot` from `debclean` and `debuild` dependencies
  * debuild.pl: Clarify that the `fakeroot` default comes from dpkg-buildpackage
  * dpkg-genbuilddeps.sh: Remove explicit `-rfakeroot` from error message
  * d/control: Remove `fakeroot` from Depends. (Closes: #1041150)

  [ g0t mi1k ]
  * salsa:
    + Split edit_project -> edit_project_multipart
    + Only set avatar if told too
    + Check if project is public for remote avatar
    + Set user-agent when remotely checking md5
    + List members including inherited
    + Improve some salsa messages
    + Drop --request-acc, duplicate of --request-access
    + Update doc and comments
    + Add ENVIRONMENTS, FEATURE_FLAGS, INFRASTRUCTURE, MONITOR
      and SECURITY_COMPLIANCE
    + Add ENABLE_SERVICE_DESK

  [ Sean Whitton ]
  * debchange: For --lts uploads, use urgency=high.

  [ Damyan Ivanov ]
  * new default KGB webhook URL (https)

  [ Yadd ]
  * Update French translation

  [ Jochen Sprickerhof ]
  * uscan: support zstd in more cases

  [ Danilo Egea Gondolfo ]
  * Move libgitlab-api-v4-perl to Suggests on Ubuntu (LP: #2046242)

  [ Carlos Henrique Lima Melara ]
  * uscan: add optional V prefix in @ANY_VERSION@ (Closes: #1037173)

  [ Gioele Barabucci ]
  * build-rdeps: Use all available distros by default. Restrict to unstable/sid
    only if explicitly requested via the new parameter --only-devel.
    (Closes: #1032396)

  [ Diego Escalante Urrelo ]
  * mk-build-deps: Actually use MKBUILDDEPS_ROOTCMD

  [ Christian Göttsche ]
  * MkOrigtargz.pm: dump newline to same output as messages

  [ Benjamin Drung ]
  * mk-origtargz/uscan: replace xpi-unpack by unzip to drop mozilla-devscripts
  * uscan: Update GitHub documentation to use api.github.com
    (Closes: #931091, #950880, #1019696, #1040314)

  [ Athos Ribeiro ]
  * uscan: remove duplicated example from docs

 -- Benjamin Drung <bdrung@debian.org>  Tue, 12 Dec 2023 21:54:20 +0100

devscripts (2.23.6) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * fix salsa test (Closes: #1038486)
  * add dependency to libjson-perl

  [ gregor herrmann ]
  * test/t/salsa.pm: use JSON (Closes: #1038486)

 -- Yadd <yadd@debian.org>  Wed, 23 Aug 2023 07:51:13 +0400

devscripts (2.23.5) unstable; urgency=medium

  [ Benjamin Drung ]
  * debchange: Update to current Debian distributions (Add bookworm and trixie
    and drop stretch, jessie, and wheezy) (Closes: #1037336)
  * test: Unset UBUMAIL for testEncoding
  * Drop debpkg to make devscripts architecture all. Instead of debpkg please
    use sudo for debi (or, highly dangerous, make dpkg setuid root).

  [ Guillem Jover ]
  * Devscripts::Compression: Switch to new Dpkg::Compression getters
    (Closes: #1027718)

  [ Cyril Brulebois ]
  * build-rdeps: Add support for non-free-firmware
  * chdist: Update sources.list examples with non-free-firmware

  [ Jussi Hakala ]
  * dget: download binary packages that only come from the requested source
    package (Closes: #1027962)

  [ Ian Jackson ]
  * grep-excuses: --autopkgtests: do not report NEUTRAL

  [ Johannes Schauer Marin Rodrigues ]
  * rewrite annotate-output to avoid needing temporary directory/fifos
    (Closes: #919563)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 12 Jun 2023 17:33:27 +0200

devscripts (2.23.4) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * uscan: s/+dfsg1/+dfsg/ repack suffix to avoid lintian
    anticipated-repack-count.  MR: !340

  [ Arnaud Rebillout ]
  * Salsa/Hooks: fix _check_config for boolean.  MR: !339

  [ Jakub Kuczys ]
  * deb-reversion:
    + Fix issues with paths that have spaces in them.  MR: !341
    + Allow reversioning of debs without changelog.  MR: !342
    + Make deb-reversion not dependent on system locale

  [ Dominique Dumont ]
  * bts:
    + drop obsolete Net::SMTPS (Closes: 1029588)  MR: !343
    + clean up usage of obsolete Net::SMTPS

  [ Roland Mas ]
  * uscan: Fix uscan for multiple mode=git sources, thanks to Jonas Smedegaard
    for the patch. Closes: #1004213.  MR: !300

  [ Tobias Frost ]
  * mk-build-deps: remove buildinfo and changes file (Closes: #989696)

  [ Nelson A. de Oliveira ]
  * dget: Make dget understand -k option (Closes: #597988)

  [ Benjamin Drung ]
  * Fix or drop several wrong fuzzy German and Portuguese translations

  [ Jakub Wilk ]
  * Fix syntax error in salsa bash completion (Closes: #1033973)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Apr 2023 12:40:28 +0200

devscripts (2.23.3) unstable; urgency=medium

  [ Samuel Henrique ]
  * Fix generation of the extended description (Closes: #1032337)

  [ Benjamin Drung ]
  * Fix complaints from pylint 2.16.2
  * suspicious-source: Fix MIME type name for Python code
  * Add myself to uploaders

  [ Zixing Liu ]
  * Salsa/check_repo: avoid dependency on Digest::MD5::File (LP: #2007279)
  * Salsa/Hooks: using if-elsif chains to avoid Switch which is a deprecated
    package (LP: #2007279)

  [ Johannes Schauer Marin Rodrigues ]
  * debootsnap:
    - check to make sure that equivs-build, apt-ftparchive, mmdebstrap,
      apt-get and dpkg-name exist
    - allow reading package list from a file

  [ Rémy Martin ]
  * edit-patch: Fix failure on creating new patch (LP: #1222364)

  [ Paul Wise ]
  * bts: Fix mangled UTF-8 name

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Mar 2023 23:52:52 +0100

devscripts (2.23.2) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Update French translation

  [ Paul Wise ]
  * wnpp-alert: Fix wnpp-alert --diff, which probably never worked

  [ Benjamin Drung ]
  * Format code with black 23.1 (Closes: #1031302)
  * build-rdeps: Document -q in man page (Closes: #1030141)
  * Update translations for recent changes

  [ Jakub Wilk ]
  * debchange.1: Fix uneven indentation in option list (Closes: #1031549)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 19 Feb 2023 00:56:21 +0100

devscripts (2.23.1) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * debrelease: fix escaping in command substitution (Closes: #1030590)

  [ Mattia Rizzolo ]
  * Fix generation of the extended description.
    Thanks to Beatrice Torracca <beatricet@libero.it>

  [ Benjamin Drung ]
  * debdiff-apply: Ask user to install python3-unidiff if missing
    (Closes: #1029985)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 10 Feb 2023 10:17:18 +0100

devscripts (2.23.0) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * list-unreleased:
    + Use find(1)'s -regex filter instead of piping through grep(1).
      Thanks to Akbarkhon Variskhanov <akbarkhon.variskhanov@gmail.com>
      for the patch!  Closes: #1012657
  * dget:
    + Retain the remote mtime also with curl.  Closes: #1020914

  [ Niels Thykier ]
  * wrap-and-sort:
    + Do not sort multi-line comments and pin a comment to the value
      directly following where possible.  Closes: #788998; MR: !268
    + Always apply a trailing comma when run with -t also when the field
      is not being wrapped.  Closes: #989785; MR: !267
    + Enable the new RTS parser by default.  Closes: #820625; MR: !271
  * Fix two minor python style nits.  MR: !287

  [ Edward Betts ]
  * Remove procmail examples. Procmail is a security liability and has been
    abandoned upstream for the last two decades.  MR: !270
    See https://anarc.at/blog/2022-03-02-procmail-considered-harmful/

  [ Sebastian Dröge ]
  * debcommit:
    + Pass `--no-ext-diff` to `git diff`; external diff commands can produce
      output that is not handled by debcommit.  MR: !266

  [ Ben Finney ]
  * debsign:
    + Rework the bash completion script to:  MR: !265
      - Fix behaviour with filenames with special characters.
      - Improve the coding style.
      - Correct use of Bash command completion to match file paths.
        Closes: #1012156
      - Correct Bash completion handling of ‘--version’ option.
        Closes: #1012086
      - Add Bash completion handling for more options that need it.
        Closes: #1012158

  [ Akbarkhon Variskhanov ]
  * Shell scripts style cleanup:
    + Uniform the way the shell script discover their own name, from shelling
      out to `basename` to use ${0##*/}.  MR: !269
    + Place opening braces on the same line as function definitions.  MR: !273
    + Remove whitespace before parentheses.  MR: !273
    + Replace backquoted form of command substitution with $().  MR: !274
    + Remove the 2>/dev/null redirects from `command -v`.  MR: !275
  * Fix grammatical typo in salsa(1)'s man page.  MR: !284

  [ Américo Monteiro ]
  * Update Portuguese translations.  Closes: #1019170

  [ Yadd ]
  * uscan:
    + Fix DEHS output.  Closes: #1019259; MR: !279
  * Update French translation.

  [ Paul Wise ]
  * grep-excuses:
    + Add support for the pseudo-excuses for experimental.  MR: !280
  * bts:
    + Add reasons for "failing to download" errors , for easier dubug.  MR: !293
  * rmadison:
    + Add URL maps (`rmadison -u`) for archived releases ("archive") and
      unofficial ports archive ("ports").  MR: !309

  [ Andrea Pappacoda ]
  * uscan:
    + Support an optional 'v' prefix in @ANY_VERSION@.  MR: !281
      This allows uscan to automatically look for version tags like "v1.0.2".

  [ Ben Hutchings ]
  * Remove use of distutils.command.clean, which no longer works.  MR: !291
  * debbisect, debootsnap, reproducible-check:
    + Fix new pylint warning, requiring a timeout for HTTP requests.  MR: !291

  [ billchenchina ]
  * salsa:
    + verify the return of `git checkout` before continuing.  MR: !290

  [ Jochen Sprickerhof]
  * bts:
    + Fix "Cc" feature (--cc-addr) that was printing the number of addresses
    instead of the actual addresses.  Closes: #1006951

  [ Jelmer Vernooĳ ]
  * deb-janitor:
    + Handle the `schedule` command not returning a queue position.  MR: !294
    + Rename "suite" to "campaign", consistent with the service; this was done
      to avoid confusion with the term 'suite' for apt repositories, which
      only sometimes overlap with a campaign in the Debian Janitor.  MR: !301
    + Use logging module for error output.  MR: !302
    + Add status subcommand.  MR: !303
    + Make source package argument optional, reading from local
      debian/changelog instead.  MR: !304
    + Add merge subcommand, merging changes from a campaign.  MR: !305

  [ g0t mi1k ]
  * build system:
    + Fix build in docker due to permission issues.  MR: !298
    + Fix errors reported by `podchecker` during the build.  MR: !298
    + Add the missing +x bit to two perl source files.  MR: !295
    + Correctly call pylint.  Closes: #1027759; MR: !313
  * salsa:
    + Add SALSA_REMOVE_SOURCE_BRANCH.  MR: !296
    + Add SALSA_BUILD_TIMEOUT.  MR: !297
    + Add/upgraded the ability to control:  MR: !299
      - analytics/auto_devops/builds/container_registry/forking/lfs/
        packages/pages/releases/repository/request_access/requirements/
        snippets/wiki
      - issues/merge_requests
    + Add SALSA_REQUEST_ACCESS.  MR: !319
    + Add SALSA_AVATAR_PATH.  MR: !311 & !321
    + Add pipeline_schedule support.  MR: !314
    + Switch the default for --all not to included archived projects.
      Introduced --all-archive for original behaviour.  MR: !315
    + Fix missing cache folder.  MR: !317
    + Fix space issue with project name.  MR: !316

  [ Johannes Schauer Marin Rodrigues ]
  * debbisect:  MR: !306
    + Support 'now' and 'today' as datetime input.
    + Format timestamps such that they can be used as input to debbisect.
    + Allow http status 302 in addition to 301.
    + Check if script given as input is marked executable.
    + Run mmdebstrap so it can handle Debian unstable as far back as 2006-08-10.
  * debbisect:  MR: !320
    + provide a pty to subprocess
    + add --ignore-cached-results option
    + use the maybe-jessie-or-older and maybe-merged-usr hooks
    + require mmdebstrap (>= 1.3.0)
    + allow running with --qemu but without --depends

  [ Guillem Jover ]
  * debcheckout:
    + Remove all the code handling auth to alioth.debian.org.  MR: !308
  * po4a:
    + Update the po4a homepage links to the new location.  MR: !308

  [ Jelmer Vernooĳ ]
  * rmadison: Add shorthand for janitor

  [ Benjamin Drung ]
  * Make Python version PEP440 compliant (LP: #1991606)
  * chdist: Default to Ubuntu 22.04 "jammy" in sources.list example
    (Closes: #826313)
  * Do not install Python test cases
  * suspicious-source: Fix detecting .vfb and .vtp
  * Format Python code with black and run black during package build
  * Sort Python imports with isort and run isort during package build
  * Update lintian overrides
  * Use f-strings and fix pylint's invalid names in most Python scripts
  * Rename devscripts.version to devscripts.__version__
  * Bump Standards-Version to 4.6.2

 -- Benjamin Drung <bdrung@debian.org>  Sun, 05 Feb 2023 00:00:22 +0100

devscripts (2.22.2) unstable; urgency=medium

  [ James McCoy ]
  * who-permits-upload:
    + Fix fingerprint lookup, so it actually finds the user id

  [ David Paul ]
  * debsnap:
    + Add a -l option as the short version of --list.  Closes: #1006904

  [ Antonio Terceiro ]
  * sadt:
    + Run autodep8 when looking for autopkgtests to run.
  * deprepro:
    + Add new options, to make it easier to debrepro against arbitrary source
      directories (i.e. not Debian packages):
      - -B, --build-command: specify custom build command
      - -a, --artifact-pattern: specify custom artifacts to be compared
        across builds
      - --no-copy: run commands against the source tree directly, i.e. don't
        copy it to a temporary build directory.

  [ Mattia Rizzolo ]
  * mk-origtargz:
    + Apply patch from Vasyl Gello to make Files-Included-<component> work.
  * Include the updated Portuguese translation.  Closes: #1011316
    Thanks to Américo Monteiro <a_monteiro@gmx.com>.
  * Run perltidy with the newer 20220217.
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Yadd ]
  * mk-origtargz:
    + Display compression/tar errors

  [ Niels Thykier ]
  * wrap-and-sort:
    + Introduce an experimental mode using the RTS parser available with
      python-debian >= 0.1.43.  This will let wrap-and-sort retain comments.
      This feature is opt-in with a new flag.  MR: !237
    + Futher improvements to the RTS mode, now also supporting short indent
      (-s) among others.  MR: !263

  [ Jelmer Vernooĳ ]
  * deb-janitor:
    + Add a new 'review' subcommand.  MR: !261
  * README: Drop reference to 'bazaar' (1.x) package that has long been
    removed from Debian.  MR: !264

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 18 Jun 2022 12:20:42 +0200

devscripts (2.22.1) unstable; urgency=medium

  [ Yadd ]
  * Translations:
    + fix some POD error in translations
    + add uscan and salsa in translation list.  Closes: #1001157
    + build translated manpages even if there are some POD errors

  [ Vipul Kumar ]
  * wnpp-check:
    + Replace HTTP URLs with HTTPS.  Closes: #1002311, #902242; MR: !256
  * rc-alert, wnpp-alert, wnpp-check:
    + Allow curl to follow HTTP redirections.  MR: !257

  [ Mattia Rizzolo ]
  * wnpp-check:
    + Document -e,--exact in the --help output.  Closes: #1003254
  * Make pristine-tar a Suggests in Ubuntu, as it's not in main so it can't be
    a Recommends.  LP: #1885766
  * Don't build-depend on subversion on i386, skipping the test_uscan_svn
    test; this is to avoid a delta with Ubuntu, that doesn't have svn on i386.

  [ Johannes Schauer Marin Rodrigues ]
  * debrebuild:
    + Use the new field_parse_binary_source() from libdpkg-perl >= 1.21.0
      if available.  MR: !249

  [ Hugh McMaster ]
  * test_uscan_mangle:
    + Use MGZREPACK to specify the expected file extension when necessary;
      otherwise, use the default file extension.
    + Add a workaround for testWatch4WebNonNativeMUT0(). MR: !258
    + Test use of filenamemangle with single and multiple upstream tarballs.
    + Modify helperWatch() to accept filenamemangled filenames.
    + Allow filenamemangling with multiple upstream tarballs.
  * uscan:
    + Reassign $newfile_base to be the filename component of an upstream
      filenamemangled URL if the given regex pattern only modifies the
      upstream filename. Closes: #993585; MR: !255

  [ Carlos Alberto Lopez Perez ]
  * reproducible-check:
    + Use the .json that contains data for all the Debian suites (instead of
      the currently used one that contains only data for Debian testing), so
      that there are chances for this to work in Debian stable as well. MR: !245

  [ Lance Lin ]
  * who-uploads:
    + Prefer displaying a debian.org address, if one exists. Closes: #1003497;
      MR: !260

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Jan 2022 17:52:39 +0100

devscripts (2.21.7) unstable; urgency=medium

  [ Yadd ]
  * l10n:
    + Fix build to install translated manpages of uscan.
  * uscan:
    + Fix version mangling when using "group".  Closes: #1000969; MR: !252
    + Fix urlbase when searchmode=plain.  Closes: #1001472; MR: !253

  [ Mattia Rizzolo ]
  * tests:
    + Update the package_lifecycle test strings to match the changes done in
      dpkg 1.21.0.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Dec 2021 13:54:32 +0100

devscripts (2.21.6) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * dscverify:
    + Explicitly tell gpg to verify the signature, to avoid warning messages
      from it.  Thanks to Jakub Wilk.  Closes: #999141
  * Add zstd to the autopkgtests dependencies.  Closes: #1000417
  * origtargz:
    + Document pristine-lfs in README.
  * uscan:
    + Revert "Assign $newfile_base a filename, not a URL, when
      filenamemangling".  Re-opens: #993585; Closes: #1000210
  * Include the updated Portuguese translation.  Closes: #1000758
    Thanks to Américo Monteiro <a_monteiro@gmx.com>.

  [ Yadd ]
  * Update French translation.

  [ Unit 193 ]
  * uscan:
    + Better alignment for the verbose output.

  [ Ville Skyttä ]
  * Replace `switch` with `command -v`.  MR: !244

  [ Johannes Schauer Marin Rodrigues ]
  * New script!
    + debootsnap: bootstrap a Debian system from snapshot.debian.org.  MR: !231
  * debbisect:
    + Add an example debbisect script to use when one wants to bisect the
      build of a Debian source package.  MR: !242

  [ Paul Wise ]
  * bts:  MR: !247
    + Allow adding more --cc-addr options to add more CCs.
    + Add package/submitter CCs when sending mails via mutt.
    + Correct and update documentation about additional CCs.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 Nov 2021 14:01:41 +0100

devscripts (2.21.5) unstable; urgency=medium

  [ Paul Wise ]
  * bts:
    + Sync list of tags from the BTS debbugs config.
  * grep-excuses:
    + Allow passing multiple package names to -w/--wipnity.  MR: !232

  [ Daichi Fukui ]
  * dpkg-depcheck:
    + Replace tempfile with mktemp.  Closes: #995583

  [ Hugh McMaster ]
  * nmudiff:
    + Fix spelling of the --non-dd/--nondd options in the manpage.  MR: !241
  * uscan:
    + Assign $newfile_base a filename, not a URL, when filenamemangling.
      Closes: #993585; MR: !235
    + Use upstream package filename in verbose output where appropriate.

  [ Mattia Rizzolo ]
  * nmudiff:
    + Apply patches from Raúl Benencia <rul@kalgan.cc> to:
      - fix typo in documentation.  Closes: #996392
      - fix misleading delay header on non-dd use case.  Closes: #996565
  * uscan:
    + In the examples, use @ANY_VERSION@ and @ARCHIVE_EXT@ wherever possible.
      Thanks to Bastien Roucariès for the suggestion.
    + In the examples, drop all usages of `uupdate` as "script": it is my
      opinion that nowadays very few people should actually be calling
      uupdate, as `gbp import-orig` or similar tools already cover that;
      mixing gbp and uupdate leads to what people would not normally expect.
    + In the examples, also drop all needless usage of the "debian" version,
      which is the default: it is my opion that such examples only lead to
      blind cargo-culting.
  * Declaratively build-depend on dh-sequence-python3 and drop --with python3.
  * Bump debhelper compat level to 13.
  * Fix some new pylint issues across the codebase:  Closes: #998542
    + R1732: consider-using-with.
    + C0209: consider-using-f-string (prject-wide ignore).
    + R1734/R1735: use-list-literal/use-dict-literal.
    + W1514: unspecified-encoding.

  [ Yadd ]
  * Update fr translation.
  * Reformat perl scripts with the new perltidy 20210717.
  * uscan:
    + Add repack tests for lzma.
    + Die if filenamemangle failed.  MR: !238
    + Die in case of filename conflict within the same uscan process.  MR: !238
    + Add Zstandard support.  For now uscan will force its repacking to
      .tar.xz, at least until dpkg-source fully supports the format.  MR: !122

  [ Nicholas D Steeves ]
  * d/control:
    + Suggest elpa-devscripts instead of the now dummy devscripts-el.  MR: !236

  [ Jelmer Vernooĳ ]
  * New script!
    + deb-janitor: a command-line client for the Debian janitor API.  MR: !211
      Current features include scheduling a package run and retrieving a diff
      of a specific run.

  [ Kylie McClain ]
  * checkbashisms:
    + Add a new option -l/--lint to make checkbashisms format its output in a
      machine-parsable way normally used by editors.  MR: !228

  [ Ian Jackson ]
  * grep-excuses:
    + When run with --autopkgtests (which shows test failures of the given
      packages when triggered by other packages) ignore the RUNNING and
      OLD_PASS states.  MR: !234

  [ Niels Thykier ]
  * wrap-and-sort:
    + Make use of the new `order_after` method from python-debian if
      available, for improved performance.  MR: !240

  [ Simon McVittie ]
  * debdiff:
    + New option --(no-)apply-patches to diff the patched tree for 3.0(quilt)
      source packages, instead of only diffing the single patches.
      MR: !170; Closes: #688219; See #939602

  [ Ville Skyttä ]
  * Fix some spelling errors in code comments.  MR: !243

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Nov 2021 15:45:35 +0100

devscripts (2.21.4) unstable; urgency=medium

  [ Fabrice Fontaine ]
  * hardening-check:
    + Handle emtpy symble table by returning an unknown result for the
      stack-protector check.  MR: !223

  [ Yadd ]
  * salsa:
    + Add a new last_ci_status subcommand.  MR: !226
  * Update fr translation.

  [ Mattia Rizzolo ]
  * debchange:
    + Target bullseye-backports with --bpo.
    + Recognize 'trixie' as a valid distribution already.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Aug 2021 16:56:46 +0200

devscripts (2.21.3) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * "Update" my name in the copyright claims.  MR: !230
  * debbisect:  MR: !229
    + Fix installation of helper scripts.
    + Improve the HTTP proxy handling of 200 and 404.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 30 Jun 2021 15:11:06 +0200

devscripts (2.21.2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * po4a:
    + Generalize makefile to more easily support more languages.
    + New Portuguese translation of the manpages.  Closes: #983271
      Thanks to Américo Monteiro <a_monteiro@gmx.com>.
  * tests:
    + test_uscan_svn: save the produced tarball in case of autopkgtest failure.
  * nmudiff:
    + Replace call to deprecated tempfile(1) with mktemp(1).  Closes: #987563

  [ Logan Rosen ]
  * dget:
    + Fix typo in help text.  MR: !218

  [ Taowa ]
  * dscverify:
    + Add non-uploading developer keyring to the keys used to check the files.
      Closes: #985712; MR: !219
  * who-uploads:  MR: !222
    + Add non-uploading developer keyring to the keys the tool checks against.
    + Update the default config file with the default set of keyrings checked.

  [ Yadd ]
  * uscan:
    + Always clean temporary git checkouts.  Closes: #972585; MR: !227
  * Update fr translation.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 May 2021 20:57:28 +0200

devscripts (2.21.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * setup.py:
    + Produce a __init__.py at build time, containing the Devscripts version.
  * uscan:
    + Set the umask while running `svn export`, so as to produce a
      reproducible tarball with mode=svn.
  * tests:
    + Undefine some variables that might affect the tests.
    + Run again all tests on hurd, glibc 2.31-6 fixed sem_open().
    + test_debrepro, test_uscan_ftp, test_uscan_svn: skip the tests on
      kfreebsd, as support for the required sem_open() is lacking.
    + test_uscan_mangle: do not call helperWatch multiple times in a test, to
      prevent leftover background processes.
    + test_debchange: skip Ubuntu tests when there is no known development
      release, like right after an Ubuntu release.  Closes: #958912
  * d/control:
    + Remove Pierre-Elliott Bécue from Uploaders;
      thank you for all your past contributions!
  * d/lintian-overrides:
    + Update to match the newer lintian output.
  * d/copyright:
    + Fix some issues spotted by lintian.

  [ Xavier Guimard ]
  * salsa:
    + Fix bash completion.
  * uscan:
    + Dicrease checksum message from warning to verbose.
    + Fix verbosity when USCAN_VERBOSE=yes

  [ Baptiste Beauplat ]
  * namechck:
    + Remove some dead URLs.  MR: !215

  [ Michel Le Bihan ]
  * debchange:
    + Warn when DEBEMAIL and EMAIL are not set.  Closes: #977809

  [ Johannes Schauer ]
  * debbisect (MR: !214):
    + Fix installation path of the internal scripts.
    + Use os.path.lexist instead of os.path.exist when checking symlinks.
    + Set the PATH environment variable to a sensible default if it's not set.
    + Automatically retry a download aborted by snapshot.d.o after 10 seconds.
    + Instead of appending, seek to the correct position in the output file.
  * debrebuild (MR: !212):
    + Unconditionally set Acquire::http::Dl-Limit "1000" and Acquire::Retries
      "5" to hopefully not get blocked by snapshot.debian.org.
    + Downgrades are avoided by using the last stable release.  Closes: #955307
    + There is now proper --help output and a man page.  Closes: #955049
    + Using the --timestamp option one can either manually provide the
      necessary timestamps separated by commas or use metasnap.debian.net by
      supplying the value "metasnap".
    + Add the --builder option to select the rebuilder backend. The default is
      "none" which just prints instructions.  Currently, possible values are
      sbuild, dpkg, mmdebstrap and sbuild+unshare.  Closes: #955123
      - Add the --buildresults option where the build results will be stored.
      - Compare the checksums from the input buildinfo with the built artifacts.
      - The sbuild+unshare as well as the mmdebstrap builders allow debrebuild
        to operate without any setup.  Closes: #958750
      - All builders (except the "none" builder) do download the source package
        automatically.  Closes: #961861
      - All builders now support binNMUs.  Closes: #961862

  [ Andrej Shadura ]
  * origtargz:
    + Add pristine-lfs support.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 16 Feb 2021 17:45:53 +0100

devscripts (2.20.5) unstable; urgency=medium

  [ Holger Levsen ]
  * debrebuild:
    + provide parsable output. Closes: #964733.

  [ Mattia Rizzolo ]
  * reproducible-check, sadt:
    + Fix new pylint warnings:  Closes: #971134
      W1404: implicit-str-concat, W0707: raise-missing-from,
      R1725: super-with-arguments.
  * debsign:
    + Apply patch from Bastien Roucariès to fix bash-completion failure for
      `debsign -k` if no current key was already specified.  Closes: #966358
  * debchange:
    + Bump the LTS release to 9/stretch.  Closes: #974164
  * uscan:
    + Apply patch from Unit 193 to beatify a bit the output.
  * d/control:
    + Demote `at` from Recommends to Suggests.  Closes: #975047
    + Bump Standards-Version to 4.5.1, no changes needed.
  * Update copyright file.

  [ Niels Thykier ]
  * debrebuild (MR: !202; MR: !203):
    + Pass --no-run-lintian to sbuild. Closes: #955304
    + Use autodie to check for errors instead of ignoring errors from every
      syscall like open() and close().
    + Correctly determine the name of the source package from the buildinfo.
      Previously, it would be wrong for e.g. binNMUs.  Note this does *not*
      imply that debrebuild can rebuild binNMUs (see #961862).  Closes: #961864
    + Introduce a --help/-h option, which is part of #955049.
    + Support parsing buildinfo files with an embedded signature by ignoring
      the signature.  Validation (where relevant) is still left to the user.
      Closes: #955050
    + Attempt to locate packages via more than one snapshot.d.o URL rather
      than just giving up when the first one does not work.  Closes: #969098
    + If snapshot.debian.org is needed to resolve the dependencies, set
      the apt option "Acquire::Check-Valid-Until" to "false".  Closes: #955308
    + Support fetching data via tor via the new --use-tor-proxy option.
    + Fix a bug that caused debrebuild to fail when attempting to locate a
      package from snapshot.debian.org.  It sometimes also caused a
      warning about $pkg_arch being undefined.  Closes: #969098
    + Add --respect-build-path (new default) and its counter part
      --no-respect-build-path.  These options determine whether the
      Build-Path provided by the buildinfo should be used as build
      directory.  Closes: #964722

  [ Andrius Merkys ]
  * uscan:
    + Fix typo in the manpage.  MR: !201
    + Make the tarballs exported in svn mode reproducible.
      This adds new dependencies on libfile-dirlist-perl and libfile-touch-perl.
      Closes: #968230; MR: !204

  [ Jiří Paleček ]
  * uscan:
    + Many improvements regarding the handling of relative URLs.
      Closes: #792025; MR: !192

  [ Xavier Guimard ]
  * uscan:
    + Split --debug option to add a --extra-debug option that shows remote
      HTTP content.  MR: !191
    + Add new "ctype" line option to help to find current component version
      when this one is ignored in package version. Only "nodejs" and "perl"
      values are accepted for now.  MR: !178
    + Add tests for "group" features.  MR: !180
    + Mark version 2 as deprecated.  MR: !206
    + Respect --destdir value when checking git tag signatures.
      Closes: #973374; MR: !205
    + Apply patch from Neutron Soutmun, to add an "Accept" header in
      http requests.  Closes: #971086; MR: !209
  * salsa:
    + Add --archived option to list_repos and search_projects commands.
      Closes: #966013; MR: !210
  * Update French translation

  [ Matthijs Kooijman ]
  * uscan:
    + Fix --check-direname-level/regex handling.  See #905866; MR: !193
    + Fix error handling in case of invalid changelog field.  MR: !193
    + Clarify manpage about the recursive feature of uscan.  MR: !193
    + Fix some typos in the manpage and error messages.  MR: !193

  [ Reinhard Tartler ]
  * mk-origtargz:
    + Support a new field Files-Included in d/copyright to include files
      excluded by a previous Files-Excluded.  This is useful, for example, to
      include a specific vendored lib while excluding the whole vendor/
      directory.  Closes: #829646; MR: !189

  [ Yuri Konotopov ]
  * mk-origtargz:
    + Do not try to "unpack" upstream detached signatures.
      Closes: #951789; MR: !200

  [ Simon McVittie ]
  * debdiff:
    + Clarify how --exclude works: MR: !190
      - Improve the reference on the manpage.
      - Print a warning if --exclude is used in a way that will never match.

  [ Robin Gustafsson ]
  * uscan:
    + Add a new option "gitexport" to override any "export-ignore" rule that a
      git repository might have set.  Closes: #947317; MR: !174

  [ Martin Liška ]
  * checkbashisms:
    + Add a new --early-fail option, to quit at the first error found.  MR: !208

  [ Johannes Schauer ]
  * Add a new script, "debbisect", that help to bisect snapshot.debian.org
    to find which change in the archive introduced a certain problem.  MR: !177

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Nov 2020 11:13:42 +0100

devscripts (2.20.4) unstable; urgency=medium

  [ Xavier Guimard ]
  * Update French translations.
  * dget:
    + Fix POD formatting.  Closes: #958940
  * salsa:
    + Fix "TOKEN missing" error message.
  * uscan:
    + Decrease pgp message level to "info" when "pgpmode=previous" is set.
    + Add ability to handle gzipped HTTP responses.  Closes: #961744; MR: !196
    + Repack component only if compression differs.  MR: !199

  [ Mattia Rizzolo ]
  * Fix some new flake8 issues.  Closes: #963329
  * sadt:
    + Also consider Build-Depends-Arch for @builddeps@.
    + Ignore udebs when computing the list of binaries produced by a package.
  * manpage-alert:
    + Fix some shellcheck warnings.
  * origtargz:
    + Add pristine-tar to Recommends.  Closes: #961532
  * build-rdeps:
    + Apply patch from Helmut Grohne to add the new options --no-arch-all and
      --no-arch-any to ignore respectively Build-Depends-Indep and
      Build-Depends-Arch.  Closes: #961545
  * reproducible-check:
    + Mention the tool in README.
  * debrebuild:
    + Mention the tool in README.
  * uscan:
    + Apply patch from Unit 193 to better align the output.

  [ Niko Tyni ]
  * debc:
    + Fix deadlock with a control file bigger than 64 KB.  Closes: #961368

  [ Lee Garrett ]
  * manpage-alert:
    + Avoid duplicate detection on usrmerged systems.  Closes: #960567; MR: !194

  [ Chris Lamb ]
  * reproducible-check:
    + Overhaul of the whole script:  MR: !197
      - Improve code style.
      - Improve caching mechanism.
      - Correct logic for checking for *reproducible* packages.  Closes: #961857
      - Don't return results for non-Debian distributions.  Closes: #961859
      - Show a warning that the data should not be treated as "official"
        or similar.  Closes: #961858

  [ Yuri Konotopov ]
  * origtargz:
    + Properly exit the program when it fails to obtain the tarball.  MR: !198

  [ Jakob Haufe ]
  * uscan:
    + Fix perl call to make_path to not create unexpected directories.
      Closes: #932715; MR: !195

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jun 2020 15:39:02 +0200

devscripts (2.20.3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * uupdate:
    + Apply patch from Unit 193, adding full stops to the generated changelog.
  * uscan:
    + Apply patch from Unit 193, adding --queit to the `git clone` calls.
  * checkbashisms:
    + Improve check for `command` to properly detect options other than -p
      also when -p is not the first option.  Closes: #835498
      Thanks to Eero Vuojolahti <eero@vuojolahti.com> for the initial patch.
    + After Policy v4.1.5, the POSIX standard for shell script is
      POSIX.1-2017.  Recognize `command -v` and `command -V` as valid.
  * dget:
    + Apply patch from Bilal Muhammad to add support for scp:// and sftp://
      protocols.  Closes: #956498
  * tests:
    + test_package_lifecycle:
      - Require dpkg-dev >= 1.19.1, use Rules-Requires-Root in the test package
        and therefore drop the fakeroot Build-Depends.

  [ Andrius Merkys ]
  * uscan:
    + Fix svn mode with HTTP URLs.  Closes: #951568; MR: !173

  [ Lars Kruse ]
  * checkbashisms:
    + Remove check for "sleep" (not a shell builtin).  Closes: #843913; MR: !176

  [ Paul Wise ]
  * bts:
    + Sync the known tags with bugs.debian.org.

  [ Holger Levsen ]
  * debrebuild:
    + Stop using the reproducible-builds.org apt repo.  Closes: #955280
    + Switch to use deb.debian.org as the base apt repo.  Closes: #955298
    + Add support for Debian 12 bookworm.

  [ Antonio Terceiro ]
  * debrepro:
    + Run command before second build via `sh -c`.
    + Run command before second build in the source tree copy, to avoid
      modifying the original tree.
    + Add a new --timeout option.

  [ Simon McVittie ]
  * mass-bug:
    + Add a test.  MR: !186
    + Add a new --control option, to be able to add arbitrary
      Control: pseudo-headers.  MR: !183
  * tests:
    + test_package_lifecycle:
      + Fix test with debhelper 13.  Closes: #958350; MR: 185

  [ Jiří Paleček ]
  * uscan:
    + Fix operation with simple git branches (rather than tags).  MR: !175
  * tests:
    + test_package_lifecycle:
      - Fix test failures under non-EN locales.  Closes: #953281

  [ Alex Murray ]
  * hardening-check:
    + Change to a more reliable to way of detecting control flow protection,
      and add a new --nocfprotection flag to disable the check.  MR: !184

  [ Xavier Guimard ]
  * Reformat perl scripts with the new perltidy 20200110.
  * uscan:
    + Fix DEHS <target> output for components.  MR: !179
    + Fix --download-version with grouped packages.  MR: !156
    + Add "checksum" target to reduce grouped version size.  MR: !156
    + Add --http-header option.  Closes: #955268; MR: !181
  * Update French translation.
  * salsa:
    + Fix error when trying to display an error with "update_repo".
    + Enable "enable_ssl_verification" KGB option by default since GitLab sets
      it
    + During webhook configuration, don't fail when --no-fail is set and
      GitLab fails

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 25 Apr 2020 21:15:48 +0200

devscripts (2.20.2) unstable; urgency=medium

  * d/tests/control: add missing dependency on subversion.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Feb 2020 16:41:11 +0100

devscripts (2.20.1) unstable; urgency=medium

  [ Xavier Guimard ]
  * d/bug-script: fix return value if a file is empty.  MR: !148
  * Update French translation

  [ Mattia Rizzolo ]
  * test/uscan:
    + Fixup and improve the httpserver cleanup functions to prevent
      stray process to persist at the end of the build.  Closes: #933642
    + Go back to use a real temporary file instead of a named pipe in
      chronic_sh.  This should also fix the Hurd FTBFS.
  * d/control:
    + Use an alternative dependency to pylint | pylint3, to supprt backports.
    + Bump Standards-Version to 4.5.0, no changes needed.
  * Make the Python code compliant with pylint-2.4.4.  Closes: #945267
  * grep-excuses:
    + Document the --autopkgtests option also in the --help.  Closes: #941329
  * debrebuild:
    + Add a new script that accepts a .buildinfo file as input and provides
      instructions on how to drive APT (and sbuild) to perform a rebuild.
      This script is still considered WIP, and its interface will likely
      change in the future.
      Thanks to Johannes Schauer for authoring the script.  Closes: #774415

  [ Andrius Merkys ]
  * uscan:
    + Add support for direct access to Subversion repositories using a new
      mode=svn.  Closes: #939538; MR: !160

  [ Hans Jerry Illikainen ]
  * reproducible-check:
    + Consider 'FTBR' as unreproducible.  MR: !169

  [ Timo Furrer ]
  * mk-build-deps:  MR: !168
    + Document the DEB_BUILD_PROFILES environment variable.
    + Introduce a -P / --build-profiles option.

  [ Ximin Luo ]
  * mk-origtargz:
    + Restore old behaviour that skips mk-origtargz when --no-symlink is given.

  [ Nicolas Boulenguez ]
  * Improve reporting in case of --no-conf misuse for several tools.  MR: !163

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 31 Jan 2020 12:10:18 +0100

devscripts (2.19.7) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debclean:
    + Allow debclean to work when in any path inside the package and
      avoid searching in .git directories.  MR: !152
  * debsnap:
    + Added a new example to manpage to show how to use --first and --last
      options.  MR: !166

  [ Xavier Guimard ]
  * Update French translation.
  * salsa:
    + Fix broken push command.  MR: !138
    + Don't fail on checkout if --no-fail is set.  MR: !151
  * bts:
    + Fix warning with "noaction" and undefined "from".
      Closes: #933607; MR: !145
  * uscan:
    + Better displayed name when using components.  MR: !146
    + Include details about the components in the dehs output.  MR: !147
    + Fix bad https verification.  MR: !150
    + Fore re-compression of components when their compression differ from the
      main tarball.  Closes: #934464; MR: !149
    + Fix git-shallow download when tag contains a "/".
      Closes: #935949; MR: !158
  * origtargz:
    + Fix incompatibility with components.  Closes: #929786; MR: !159

  [ Sean Whitton ]
  * git-deborig:
    + Print to stderr, not stdout, when appropriate.  Closes: #931509; MR: !134

  [ Simon McVittie ]
  * debi:
    + Wait for apt/dpkg child processes, fixing a regression in MR !45.
      Closes: #932896; MR: !135
    + Invoke apt or apt-get with --reinstall.
      Otherwise repeated test-builds of a package with the intended next
      version number will not replace each other since MR !45.  MR: !136
    + Don't use apt if applying neither --upgrade nor --with-depends.
      Closes: #932640; MR: !142
    + Don't use apt install ./*.changes for --with-depends --upgrade.
      Closes: #932963; MR: !143
    + Let --upgrade install new dependencies from the same source (corner
      case from #932963).  MR: !144
  * tests:
    + test_mergechanges: Fix detection of --installed option.  MR: !140
    + test_debi:
      - Add a new integration test for debi, running only as root, currently
        only in GitLab CI and autopkgtest.  MR: !141
  * Refresh formatting following the new perltidy version 20190601.  MR: !154

  [ Sven Hartge ]
  * mk-build-deps:
    + Implement parsing of Build-Depends-Arch and Build-Conflicts-Arch.
      Closes: #891664; LP: #1794314; MR: !139

  [ Mattia Rizzolo ]
  * nmudiff:
    + Document in the manpage the --no-pending and --no-dd options.
      Closes: #932848
  * debchange:
    + Document the Ubuntu special case when running --release.  Closes: #942370
  * d/bug-script:
    + Use `grep -E` instead of the non-standard `egrep`.
  * d/control:
    + Build depend on pylint, which is now python3-based, instead of pylint3.
    + Bump Standards-Version to 4.4.1, no changes needed.

  [ Mike Salvatore ]
  * hardening-check:
    + Fix possible deadlock in stdout/stderr reading.  MR: !153

  [ Christoph Berg ]
  * dcontrol:
    + Remove, the backend on qa.debian.org has not been maintained for years.

  [ Paul Wise ]
  * Avoid needing to shell quote configuration filenames by using arguments
    + Move String::ShellQuote from depends to recommends
  * chdist:
    + Allow putting the dist name before the command instead of after.
  * grep-excuses:
    + Drop duplicate aging info from excuses output

  [ Laurent Bigonville ]
  * Fix typo in the French translation.

  [ Nicolas Boulenguez ]
  * debclean, uupdate, who-uploads:
    + Add `set -e` to these shell scripts.  MR: !164

  [ Guillem Jover ]
  * deb-why-removed:
    + New tool to fetch package removal information.  Closes: #644575; MR: !107

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 17 Oct 2019 16:24:54 +0200

devscripts (2.19.6) unstable; urgency=medium

  [ Christoph Berg ]
  * origtargz:
    + Support unpacking tarballs where the files are in /.

  [ Alex Murray ]
  * hardening-check:
    + Add support for detecting binaries compiled with
      -fstack-clash-protection.  LP: #1820798; MR: !121
    + Add detection for -fcf-protection.  MR: !127

  [ laokz ]
  * uscan:
    + Fix typo in documentation.  MR: !125
    + Remove redundant, misleading  string in a debug message.  MR: !126

  [ Thomas Goirand ]
  * debchange:
    + Target buster-backports with --bpo.  Closes: #931614

  [ Paul Wise ]
  * Devscripts::Config:
    + Improve handling (prevent code execution and errors with spaces and
      newlines) of the configuration files.  MR: !124
      - Move String::ShellQuote from Recommends to Depends.

  [ Xavier Guimard ]
  * Reformat code following the changes in the new perltify 20181102.  MR: !129
  * debi:
    + Replace dpkg + apt-get by "apt-get install" on .change file.
      Closes: #810294; MR: !45
  * salsa:
    + Add "join" command.  Closes: #921314;  MR: !108
    + Add "push" command.  MR: !108
    + Update doc: completion for aliases.  MR: !108
  * uscan:
    + Ignore --download-version when component is marked as "ignore".  MR: !130
    + Fix download when <base> tag is relative.  Closes: #932399; MR: !133

  [ Mattia Rizzolo ]
  * d/control:
    + Bump Standards-Version to 4.4.0, no changes needed.

  [ Nick Gerow ]
  * debchange:
    + Make sure to escape special characters in the maintainer name.  MR: !128

  [ Simon McVittie ]
  * uscan:
    + Don't recurse into directories named .git when searching for
      Debian packages.  MR: !132

  [ Unit 193 ]
  * dcmd:
    + Consider .asc files as part of the upstream orig files.
    + Also add .zst as an allowed extension for upstream orig files.

  [ Sean Whitton ]
  * git-deborig:
    + New --just-print-tag-names option.  Closes: #931180; MR: !131

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 20 Jul 2019 10:43:35 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog devscripts`.
